summaryrefslogtreecommitdiff
path: root/src
diff options
context:
space:
mode:
authorDieter Plaetinck <dieter@plaetinck.be>2011-04-24 13:22:12 +0200
committerDieter Plaetinck <dieter@plaetinck.be>2011-04-24 13:22:12 +0200
commitcfeaf0e3b7d8c2b75cf66361e330906f4fed5f7d (patch)
tree7da83930dd16d3e6ec11afda4498f9fecf01c6a4 /src
parentea7010cef98714545b24999588c33661ad7f8efa (diff)
make AIF exit with the exitcode of the last failing phase
Diffstat (limited to 'src')
-rwxr-xr-xsrc/aif.sh2
-rwxr-xr-xsrc/core/libs/lib-flowcontrol.sh10
2 files changed, 7 insertions, 5 deletions
diff --git a/src/aif.sh b/src/aif.sh
index a372932..dfaec5c 100755
--- a/src/aif.sh
+++ b/src/aif.sh
@@ -146,4 +146,4 @@ start_installer
start_process
-stop_installer
+stop_installer $?
diff --git a/src/core/libs/lib-flowcontrol.sh b/src/core/libs/lib-flowcontrol.sh
index 9bf3fa4..0e336f4 100755
--- a/src/core/libs/lib-flowcontrol.sh
+++ b/src/core/libs/lib-flowcontrol.sh
@@ -170,10 +170,12 @@ depend_procedure ()
start_process ()
{
- execute phase preparation
- execute phase basics
- execute phase system
- execute phase finish
+ ret=0
+ execute phase preparation || ret=$?
+ execute phase basics || ret=$?
+ execute phase system || ret=$?
+ execute phase finish || ret=$?
+ return $ret
}